package com.gh.gamecenter.core.provider

import android.content.Context
import android.content.pm.PackageInfo
import com.alibaba.android.arouter.facade.template.IProvider

interface IPackageUtilsProvider : IProvider {

    fun obtainProcessName(context: Context): String?

    fun getGhVersionName(): String

    fun getGhVersionCode(): Int

    fun getInstalledPackages(context: Context, flag: Int): List<PackageInfo>

    fun getApkSignatureByPackageName(context: Context, packageName: String): Array<String>

    fun getSideLoadedInfo(): MutableMap<String, String>?
}